Train is a Ruby on Rails CMS
JavaScript Ruby
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
app
config
db
doc
public
script
test
vendor/plugins
.gitignore
README
README.rdoc
Rakefile

README.rdoc

Train

Train doesnt currently feature any form of installer, and is rather featureless. For now dont use this source

GEM List

These are the gems required to get Train working:

- Authlogic - Declarative Authorization - Authlogic-OID - Ruby-OpenID - SearchLogic - TrainBBCode - Will_Paginate - Feedzirra

All gems will be installed by running “rake gems:install”

Plugins

These are the plugins that come with Train

- PaperClip - OpenID Handler

JavaScript Librarys

These are the JavaScript Librarys that come with Train

- jQuery - jQuery URL Utils - Facebox

Install Tasks

First off you will need to create config/database.yml

you then need to run “rake db:migrate” to create the database.

ADMIN_CREATION_HERE

Usage Notes

Trains Authorization is now dependant on your super user accounts (admin) bieng the first role in User::ROLES You cant change the order of the the groups in User::ROLES, bit masking is used to do the permissions on the forums hence all forum permissions will be come corrupt if the ROLES order changes.